## insserv 1.08.0

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 DEBUG	 =
 ISSUSE	 =	-DSUSE
 DESTDIR	 =
-VERSION	 =	1.04.0
+VERSION	 =	1.08.0
 DATE	 =	$(shell date +'%d%b%y' | tr '[:lower:]' '[:upper:]')
 
 #
