## insserv 1.10.0

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 DEBUG	 =
 ISSUSE	 =	-DSUSE
 DESTDIR	 =
-VERSION	 =	1.08.0
+VERSION	 =	1.10.0
 DATE	 =	$(shell date +'%d%b%y' | tr '[:lower:]' '[:upper:]')
 
 #
@@ -39,7 +39,7 @@
 	     RM = rm -f
 	  MKDIR = mkdir -p
 	  RMDIR = rm -rf
-   INSTBINFLAGS = -s -m 0700
+   INSTBINFLAGS = -m 0700
 	INSTBIN = install $(INSTBINFLAGS)
    INSTSRPFLAGS = -m 0700
 	INSTSRP = install $(INSTSRPFLAGS)
