## insserv 1.12.0

=== Makefile ===
--- 
+++ 
@@ -8,11 +8,10 @@
 INSCONF  =	/etc/insserv.conf
 #DESTDIR =	/tmp/root
 #DEBUG	 =	-DDEBUG=1 -Wpacked
-#LOOPS	 =	-DIGNORE_LOOPS=1
 DEBUG	 =
 ISSUSE	 =	-DSUSE
 DESTDIR	 =
-VERSION	 =	1.11.0
+VERSION	 =	1.12.0
 DATE	 =	$(shell date +'%d%b%y' | tr '[:lower:]' '[:upper:]')
 
 #
@@ -23,14 +22,21 @@
 else
 	   ARCH = $(shell uname -i)
 ifeq ($(ARCH),i386)
-	  COPTS = -O2 -mcpu=i586 -mtune=i686
+	  COPTS = -g -O3 -mcpu=i586 -mtune=i686
 else
-	  COPTS = -O2
+	  COPTS = -g -O2
 endif
 endif
-	 CFLAGS = -Wall $(COPTS) $(DEBUG) $(LOOPS) -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 \
+	 CFLAGS = -W -Wall $(COPTS) $(DEBUG) $(LOOPS) -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 \
 		  $(ISSUSE) -DINITDIR=\"$(INITDIR)\" -DINSCONF=\"$(INSCONF)\" -pipe
 	  CLOOP = -falign-loops=0
+	LDFLAGS = -Wl,-O,3,--relax
+	   LIBS =
+ifdef USE_RPMLIB
+	 CFLAGS += -DUSE_RPMLIB=1
+	LDFLAGS += -Wl,--as-needed
+	   LIBS += -lrpm
+endif
 	     CC = gcc
 	     RM = rm -f
 	  MKDIR = mkdir -p
@@ -50,21 +56,44 @@
 	CONFDIR = $(DESTDIR)/etc
 	 LSBDIR = $(DESTDIR)/lib/lsb
       USRLSBDIR = $(DESTDIR)/usr/lib/lsb
+
 #
+# Determine if a library provides a specific function
+# Fist argument is the function to test, the second
+# one is the library its self.
 #
+	  CTEST = $(CC) -nostdinc -fno-builtin -o /dev/null -xc
+    cc-function = $(shell printf 'void *$(1)();\nint main(){return($(1)(0)?0:1);}'|$(CTEST) - -l$(2:lib%=%) > /dev/null 2>&1 && echo $(1))
+
 #
+# The rules
+#
+
 TODO	=	insserv insserv.8
 
-all: $(TODO)
+all:		$(TODO)
 
-listing.o:	listing.c listing.h .system
+insserv:	insserv.o listing.o
+	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
+
+listing.o:	listing.c listing.h config.h .system
 	$(CC) $(CFLAGS) $(CLOOP) -c $<
 
-insserv.o:	insserv.c listing.h .system
+insserv.o:	insserv.c listing.h config.h .system
 	$(CC) $(CFLAGS) $(CLOOP) -c $<
 
-insserv:	insserv.o listing.o
-	$(CC) $(CFLAGS) -Wl,-O,3,--relax -o $@ $^
+listing.h:	.system
+
+config.h:	ADRESSES  = ^\#\s*if\s+defined\(HAS_[[:alnum:]_]+\)\s+&&\s+defined\(_ATFILE_SOURCE\)
+config.h:	FUNCTIONS = $(shell sed -rn '/$(ADRESSES)/{ s/.*defined\(HAS_([[:alnum:]_]+)\).*/\1/p; }' listing.h)
+config.h:	listing.h
+	@echo '/* Generated automatically by running make -- do not edit */'  > config.h
+	@echo '#ifndef CONFIG_H' >> config.h
+	@echo '#define CONFIG_H' >> config.h
+	@for def in $(foreach func,$(FUNCTIONS),$(call cc-function,$(func),libc)); do \
+	    echo "#define HAS_$$def"; \
+	 done >> config.h
+	@echo '#endif' >> config.h
 
 ifeq ($(ISSUSE),-DSUSE)
 insserv.8:	insserv.8.in .system
@@ -80,16 +109,21 @@
 
 .force:
 
+.PHONY:		clean
 clean:
-	$(RM) *.o *~ $(TODO) .depend.*
+	$(RM) *.o *~ $(TODO) config.h .depend.* .system
 
--include .depend.listing .depend.insserv
+ifneq ($(MAKECMDGOALS),clean)
 
-.depend.listing:
+-include	.depend.listing .depend.insserv
+
+.depend.listing::	listing.c listing.h
 	@$(CC) $(CFLAGS) -M listing.c >$@ 2>/dev/null
 
-.depend.insserv:
+.depend.insserv::	insserv.c listing.h
 	@$(CC) $(CFLAGS) -M insserv.c >$@ 2>/dev/null
+
+endif
 
 install:	$(TODO)
 	$(MKDIR)   $(SBINDIR)
@@ -124,11 +158,12 @@
 	  init-functions \
 	  remove_initd   \
 	  install_initd  \
+	  tests/suite    \
 	  insserv-$(VERSION).lsm
 
-dest:
-	$(MKDIR) insserv-$(VERSION)
-	@echo -e 'Begin3\n\
+dest:	clean
+	$(MKDIR) insserv-$(VERSION)/tests
+	@echo -e "Begin3\n\
 Title:		insserv tool for boot scripts\n\
 Version:	$(VERSION)\n\
 Entered-date:	$(DATE)\n\
@@ -142,8 +177,13 @@
 Alternate-site:	ftp.suse.com /pub/projects/init\n\
 Platforms:	Linux with System VR2 or higher boot scheme\n\
 Copying-policy:	GPL\n\
-End' | sed 's@^ @@g;s@^x@@g' > insserv-$(VERSION).lsm
-	cp -p $(FILES) insserv-$(VERSION)/
+End" | sed 's@^ @@g;s@^x@@g' > insserv-$(VERSION).lsm
+	for file in $(FILES) ; do \
+	    case "$$file" in \
+	    tests/*) cp -p $$file insserv-$(VERSION)/tests/ ;; \
+	    *)	     cp -p $$file insserv-$(VERSION)/ ;; \
+	    esac; \
+	done
 	tar -cps -zf  insserv-$(VERSION).tar.gz insserv-$(VERSION)/
 	$(RMDIR)    insserv-$(VERSION)
 	set -- `gzip -l insserv-$(VERSION).tar.gz | tail -1` ; \
