## insserv 1.14.0

=== debian/changelog ===
insserv (1.14.0-5.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Add debian/postinst: Run insserv after package installation, to fix up the
    rc?.d priorities from the dumb update-rc.d fallback (which uses priority
    01 for everything). (Closes: #830963)

 -- Martin Pitt <mpitt@debian.org>  Wed, 13 Jul 2016 12:40:50 +0200

insserv (1.14.0-5.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Do not suppress warnings on force mode
    (Closes: #811441)

 -- Felipe Sateler <fsateler@debian.org>  Mon, 22 Feb 2016 21:22:07 -0300

insserv (1.14.0-5.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS on hurd. (Closes: #812898)

 -- Adam Borowski <kilobyte@angband.pl>  Wed, 27 Jan 2016 18:43:02 +0100

insserv (1.14.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc-5, using Mohit Bhakkad's version of the patch that
    handles clang as well. (Closes: #777914)
  * Remove DM-Upload-Allowed.

 -- Adam Borowski <kilobyte@angband.pl>  Tue, 26 Jan 2016 13:52:27 +0100

insserv (1.14.0-5) unstable; urgency=low

  * Add +mountall-bootclean to $local_fs virtual facility definition in
    insserv.conf. (Closes: #693371)
  * Add test_bootmisc_order test to suite to verify the mountall-bootclean
    dependency works as expected.

 -- Kel Modderman <kel@otaku42.de>  Sun, 18 Nov 2012 11:55:44 +1000

insserv (1.14.0-4) unstable; urgency=low

  * Provide machine parseable output which may be used by file-rc to calculate
    dynamic sequence number for each script. (Closes: #573004)
  * Use "overrides" instead of "overwrites" and define defaults as "LSB
    defaults" when emitting warnings. (Closes: #668559)
  * Remove upstart jobs created by test_insserv_upstart at end of test.
  * Remove config snippets made by test_local_virtual at end of test.

 -- Kel Modderman <kel@otaku42.de>  Thu, 05 Jul 2012 21:13:26 +1000

insserv (1.14.0-3) unstable; urgency=low

  * Acknowledge NMUs, thanks Christian & Luk.
  * Use source format 3.0 (quilt), drop build dependency on quilt.
    Remove debian/README.source.
  * Use dh at compat level 8, significantly reduce debian/rules and
    build depend on debhelper >= 8.
  * Use dh_bash-completion dh sequence utility to install completion
    snippet, rename snippet to debian/insserv.bash-completion and build
    depend on bash-completion.
  * Use dpkg-buildflags to set default CFLAGS & LDFLAGS and get noopt
    handling for free. 130_crossbuild_fixes.patch allows upstream
    Makefile defaults for COPTS, LDFLAGS & CC to be overridden by the
    environment variables exported by debian/rules. Also decouple `make
    check' from `make install' to ease cross building. Set & export CC
    environment variable in debian/rules to (hopefully) allow cross
    building. (Closes: #629540, #629539, #666212)
  * Patch upstream Makefile to execute Debian testsuite instead of
    common suite.
  * Update to Standards-Version 3.9.3, no changes in policy warranted
    changes in packaging.
  * Refresh patch series.
  * Suggest the actively maintained bootchart2 instead of the doormant
    bootchart package. (Closes: #599012)
  * Update insserv package description. (Closes: #549327)
  * Undocument the CONCURRENCY feature and add a reference to a modern
    discussion about the status of init systems in Debian. (Closes: #605368)
  * Add test_invalid_core_string to test conditions described in
    #611292.
  * Correctly quote here statements in test_undetected_loop with non-
    interpolating quotation marks. Make test unconditionally fatal now
    that test is not incorrectly interpolating $local_fs in script headers.
  * Add 150_core_string_test.patch from Ben Harris <bjh21@cam.ac.uk> to
    fix inconsistent filtering of core dumps. (Closes: #611292)
  * Fix manual page reference to init(8). (Closes: #634150)
  * Purge update-rc.d-insserv & update-bootsystem-insserv as per
    Petter's advice in changelog entry for version 1.12.0-11. sysv-rc >>
    2.87dsf-2 takes care of all that stuff now.
  * No longer provide LSB dependency overrides for obsolete (etch or
    before) packages such as hotplug, modutils, initrd-tools and devfsd.
    (Closes: #545164, #545165, #545166, #545169)
  * Mention when insserv should (not) be used and how update-rc.d is
    almost always the interface you want to use. (Closes: #566352)
  * Use the package short summary in the manual page too, it mentions
    the keyword "dependency". (Closes: #609655)
  * Update debian/watch file for savannah.gnu.org sysvinit project site.

 -- Kel Modderman <kel@otaku42.de>  Mon, 09 Apr 2012 23:08:25 +1000

insserv (1.14.0-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Danish (Joe Hansen).  Closes: #619657
    - Slovak (Slavko).  Closes: #641960
    - Bokmål, (Bjørn Steensrud).  Closes: #654871

 -- Christian Perrier <bubulle@debian.org>  Sun, 15 Jan 2012 08:11:26 +0100

insserv (1.14.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Drop definition of $portmap (Closes: #564501).
  * Add unbound to definition of $named (Closes: #602901).

 -- Luk Claes <luk@debian.org>  Sat, 19 Mar 2011 12:48:34 +0100

insserv (1.14.0-2) unstable; urgency=low

  [ Kel Modderman ]
  * Add 21_tweak_warnings.patch to make insserv warn about differing on
    disk state/LSB runlevel info for the script(s) in its argument list.
    (Closes: #578308)
  * Add 100_show.patch which allows insserv --showall to dump start/stop
    bit, sequence number, runlevels and script name in the format:
    SK:NUM:RUNLEVELS:SCRIPT. It is commented out in quilt series file
    until confirmation from #573004 that it is actually useful.
  * Add 30_interactive_regexp_match_fix.patch which fixes failure to
    properly match the correct group in the regular expression used on
    the X-Interactive keyword. (Closes: #580564)
  * Modify 92_m68k_alignment.patch so that the define is grouped in an

