=== debian/control ===
Source: insserv
Section: misc
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Uploaders: Kel Modderman <kel@otaku42.de>
Build-Depends: debhelper (>= 8), po-debconf, bash-completion
Standards-Version: 3.9.3
Homepage: http://savannah.nongnu.org/projects/sysvinit
Vcs-Svn: svn://svn.debian.org/initscripts-ng/trunk/src/insserv
Vcs-Browser: http://svn.debian.org/wsvn/initscripts-ng/trunk/src/insserv/

Package: insserv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: bootchart2
Breaks: sysv-rc (<< 2.87dsf-3)
Description: boot sequence organizer using LSB init.d script dependency information
 The insserv program is used by the standard SysV-based init system. It
 updates the order of symlinks in /etc/rc?.d/ based on dependencies
 specified by LSB headers in the init.d scripts themselves.
 .
 These declared relations between scripts make it possible to optimize
 the boot sequence for the currently installed set of packages, while
 detecting and rejecting dependency loops.
 .
 Using insserv incorrectly can result in an unbootable system.
