## insserv 1.18.0

=== Makefile ===
--- 
+++ 
@@ -4,15 +4,18 @@
 # Author: Werner Fink,  <werner@suse.de>
 #
 
+PACKAGE	 =	insserv
 INITDIR  =	/etc/init.d
 INSCONF  =	/etc/insserv.conf
 #DESTDIR =	/tmp/root
 #DEBUG	 =	-DDEBUG=1 -Wpacked
 DEBUG	 =
-ISSUSE	 =	-DSUSE
+#ISSUSE	 =	-DSUSE
 DESTDIR	 =
-VERSION	 =	1.12.0
+VERSION	 =	1.18.0
+TARBALL  =	$(PACKAGE)-$(VERSION).tar.xz
 DATE	 =	$(shell date +'%d%b%y' | tr '[:lower:]' '[:upper:]')
+CFLDBUS	 =	$(shell pkg-config --cflags dbus-1)
 
 #
 # Architecture
@@ -27,9 +30,9 @@
 	  COPTS = -g -O2
 endif
 endif
-	 CFLAGS = -W -Wall $(COPTS) $(DEBUG) $(LOOPS) -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 \
-		  $(ISSUSE) -DINITDIR=\"$(INITDIR)\" -DINSCONF=\"$(INSCONF)\" -pipe
-	  CLOOP = -falign-loops=0
+	 CFLAGS = -W -Wall -Wunreachable-code $(COPTS) $(DEBUG) $(LOOPS) -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 \
+		  $(ISSUSE) -DINITDIR=\"$(INITDIR)\" -DINSCONF=\"$(INSCONF)\" -pipe 
+	  CLOOP = # -falign-loops=0
 	LDFLAGS = -Wl,-O,3,--relax
 	   LIBS =
 ifdef USE_RPMLIB
@@ -37,18 +40,19 @@
 	LDFLAGS += -Wl,--as-needed
 	   LIBS += -lrpm
 endif
-	     CC = gcc
+	   LIBS += $(shell pkg-config --libs dbus-1)
+	     CC ?= gcc
 	     RM = rm -f
 	  MKDIR = mkdir -p
 	  RMDIR = rm -rf
-   INSTBINFLAGS = -m 0700
+   INSTBINFLAGS = -m 0755
 	INSTBIN = install $(INSTBINFLAGS)
-   INSTSRPFLAGS = -m 0700
+   INSTSRPFLAGS = -m 0755
 	INSTSRP = install $(INSTSRPFLAGS)
-   INSTDOCFLAGS = -c -m 0444
+   INSTDOCFLAGS = -c -m 0644
 	INSTDOC = install $(INSTDOCFLAGS)
    INSTCONFLAGS = -c -m 0644
-	INSTCON = install $(INSTDOCFLAGS)
+	INSTCON = install $(INSTCONFLAGS)
 	   LINK = ln -sf
 #
 	SDOCDIR = $(DESTDIR)/usr/share/man/man8
@@ -59,7 +63,7 @@
 
 #
 # Determine if a library provides a specific function
-# Fist argument is the function to test, the second
+# First argument is the function to test, the second
 # one is the library its self.
 #
 	  CTEST = $(CC) -nostdinc -fno-builtin -o /dev/null -xc
@@ -73,14 +77,20 @@
 
 all:		$(TODO)
 
-insserv:	insserv.o listing.o
+insserv:	insserv.o listing.o systemd.o map.o
 	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LIBS)
 
-listing.o:	listing.c listing.h config.h .system
-	$(CC) $(CFLAGS) $(CLOOP) -c $<
-
-insserv.o:	insserv.c listing.h config.h .system
-	$(CC) $(CFLAGS) $(CLOOP) -c $<
+listing.o:	listing.c insserv.c listing.h config.h .system
+	$(CC) $(CFLAGS) $(CLOOP) $(CFLDBUS) -c $<
+
+map.o:	map.c listing.h config.h .system
+	$(CC) $(CFLAGS) $(CLOOP) $(CFLDBUS) -c $<
+
+insserv.o:	insserv.c map.o listing.h systemd.h config.h .system
+	$(CC) $(CFLAGS) $(CLOOP) $(CFLDBUS) insserv.c -c 
+
+systemd.o:	systemd.c map.o listing.h systemd.h config.h .system
+	$(CC) $(CFLAGS) $(CLOOP) $(CFLDBUS) -c $<
 
 listing.h:	.system
 
@@ -109,7 +119,8 @@
 
 .force:
 
-.PHONY:		clean
+.PHONY:		clean distclean
+distclean: clean
 clean:
 	$(RM) *.o *~ $(TODO) config.h .depend.* .system
 
@@ -125,7 +136,15 @@
 
 endif
 
-install:	$(TODO)
+check: insserv
+ifeq ($(ISSUSE),-DSUSE)
+	issuse=true tests/common
+#	issuse=true tests/suse
+else
+	tests/common
+endif
+
+install:	$(TODO) check
 	$(MKDIR)   $(SBINDIR)
 	$(MKDIR)   $(SDOCDIR)
 	$(MKDIR)   $(CONFDIR)
@@ -152,17 +171,23 @@
 	  Makefile       \
 	  listing.c      \
 	  listing.h      \
+	  systemd.c      \
+	  systemd.h      \
 	  insserv.8.in   \
 	  insserv.c      \
 	  insserv.conf   \
 	  init-functions \
+          map.c          \
 	  remove_initd   \
-	  install_initd  \
-	  tests/suite    \
-	  insserv-$(VERSION).lsm
-
-dest:	clean
-	$(MKDIR) insserv-$(VERSION)/tests
+	  install_initd 
+
+SVLOGIN=$(shell svn info | sed -rn '/Repository Root:/{ s|.*//(.*)\@.*|\1|p }')
+ifeq ($(MAKECMDGOALS),upload)
+override TMP:=$(shell mktemp -d $(PACKAGE)-$(VERSION).XXXXXXXX)
+override SFTPBATCH:=$(TMP)/$(VERSION)-sftpbatch
+override LSM=$(TMP)/$(PACKAGE)-$(VERSION).lsm
+
+$(LSM):	$(TMP)/$(PACKAGE)-$(VERSION)
 	@echo -e "Begin3\n\
 Title:		insserv tool for boot scripts\n\
 Version:	$(VERSION)\n\
@@ -172,21 +197,34 @@
 Keywords:	boot service control, LSB\n\
 Author:		Werner Fink <werner@suse.de>\n\
 Maintained-by:	Werner Fink <werner@suse.de>\n\
-Primary-site:	sunsite.unc.edu /pub/Linux/system/daemons/init\n\
-x		@UNKNOWN insserv-$(VERSION).tar.gz\n\
+Primary-site:	http://download.savannah.gnu.org/releases/sysvinit/\n\
+x		@UNKNOWN $(PACKAGE)-$(VERSION).tar.xz\n\
 Alternate-site:	ftp.suse.com /pub/projects/init\n\
 Platforms:	Linux with System VR2 or higher boot scheme\n\
 Copying-policy:	GPL\n\
-End" | sed 's@^ @@g;s@^x@@g' > insserv-$(VERSION).lsm
-	for file in $(FILES) ; do \
-	    case "$$file" in \
-	    tests/*) cp -p $$file insserv-$(VERSION)/tests/ ;; \
-	    *)	     cp -p $$file insserv-$(VERSION)/ ;; \
-	    esac; \
-	done
-	tar -cps -zf  insserv-$(VERSION).tar.gz insserv-$(VERSION)/
-	$(RMDIR)    insserv-$(VERSION)
-	set -- `gzip -l insserv-$(VERSION).tar.gz | tail -1` ; \
-	sed "s:@UNKNOWN:$$1:" < insserv-$(VERSION).lsm > \
-	insserv-$(VERSION).lsm.tmp ; \
-	mv insserv-$(VERSION).lsm.tmp insserv-$(VERSION).lsm
+End" | sed 's@^ @@g;s@^x@@g' > $(LSM)
+
+dest: $(LSM)
+endif
+
+upload: $(SFTPBATCH)
+	@sftp -b $< $(SVLOGIN)@dl.sv.nongnu.org:/releases/sysvinit
+	mv $(TARBALL) $(LSM) .
+	rm -rf $(TMP)
+
+dist: $(TARBALL).sig
+
+
+$(TARBALL).sig: $(TARBALL)
+	@gpg -q -ba --use-agent -o $@ $<
+
+$(TARBALL): clean
+	mkdir -p insserv/tests
+	cp $(FILES) insserv/
+	cp tests/* insserv/tests/
+	@tar --xz --owner=nobody --group=nobody -cf $(TARBALL) insserv/
+	rm -rf insserv
+
+distclean: clean
+	rm -f $(TARBALL) $(TARBALL).sig
+
