=== debian/changelog ===
insserv (1.18.0-2) unstable; urgency=medium

  * Apply patch to improve formatting and spelling of insserv(8) manual
    and refresh other patches accordingly (Closes: #919610)
    + Thanks: Bjarni Ingi Gislason <bjarniig@rhi.hi.is>
  * Update standards version to 4.3.0 (no changes needed)

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 20 Jan 2019 21:12:05 +0000

insserv (1.18.0-1) unstable; urgency=medium

  * New upstream release
  * Update `debian/watch':
    + match `xz' upstream archives
    + bump uscan compat version to 4
    + use secure protocol
  * Update and refresh patches
    + Drop `10_nosuse.patch' -- upstream now have -DSUSE commented-out
    + Drop `30_interactive_regexp_match_fix.patch' -- applied upstream
    + Refresh `21_tweak_warnings.patch'
    + Refresh `92_m68k_alignment.patch'
    + Drop `100_show.patch' -- upstream accepted `--showall' option
    + Refresh `130_crossbuild_fixes.patch'
    + Refresh `140_debian_test_suite.patch'
    + Refresh `150_core_string_test.patch'
    + Refresh `160_manual_page_update.patch'
    + Refresh `180_MAXSYMLINKS.patch'
    + Refresh `warn_in_ignore_mode.patch'
  * Add patch to disable systemd integration and remove dbus dependency
  * Drop failing test, concerning script with no LSB header.
  * wrap-and-sort -sta
  * Fix whitespace errors in following files:
    + debian/changelog
    + debian/run-testsuite
  * Update standards version to 4.2.1 (no changes needed)
  * Update debhelper compat to 11
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')
  * Update Vcs-* fields in `debian/control'
  * Set mailing list to Maintainer field, add myself to Uploaders list
  * Do not create obsolete `/etc/bash_completion.d'
  * Do not use absolute path to commands in maintainer script
  * Do not set dpkg-architecture variables in `debian/rules'. They
    are managed as apporiate by debhelper.

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 12 Dec 2018 22:32:47 +0000
