=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

version=4

https://download.savannah.gnu.org/releases/sysvinit/insserv-([0-9\.]+)@ARCHIVE_EXT@ debian uupdate
