=== debian/control ===
--- 
+++ 
@@ -8,9 +8,9 @@
  Petter Reinholdtsen <pere@debian.org>,
 Build-Depends:
  bash-completion,
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  po-debconf,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://savannah.nongnu.org/projects/sysvinit
 Vcs-Browser: https://salsa.debian.org/debian/insserv
 Vcs-Git: https://salsa.debian.org/debian/insserv.git
