=== debian/changelog ===
insserv (1.23.0-1) unstable; urgency=medium

  * New upstream version 1.23.0.
     - includes support for OpenRC scripts (Closes: #962412).
  * d/control:
     - add myself to Uploaders.
     - remove retired Uploaders (Closes: #910797)
     - update to Standards Version 4.6.0 (no changes)
  * d/patches:
    - remove patches-from-trek-closes-971713.patch applied upstream.
    - Refresh patches.
    - New patch to keep /sbin/insserv and /lib/lsb/ in / despite
      upstream now using PREFIX.
  * Remove obsolete /etc/bash_completion.d/insserv conffile (Closes: #868103).

 -- Mark Hindley <leepen@debian.org>  Thu, 23 Sep 2021 12:57:28 +0100
