=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
 Uploaders:
- Kel Modderman <kel@otaku42.de>,
- Dmitry Bogatov <KAction@debian.org>,
  Petter Reinholdtsen <pere@debian.org>,
+ Mark Hindley <leepen@debian.org>,
 Build-Depends:
  bash-completion,
  debhelper-compat (= 12),
  po-debconf,
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Homepage: http://savannah.nongnu.org/projects/sysvinit
 Vcs-Browser: https://salsa.debian.org/debian/insserv
 Vcs-Git: https://salsa.debian.org/debian/insserv.git
