=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

version=4
opts="pgpmode=auto,uversionmangle=s/-beta/~beta/" \
https://download.savannah.gnu.org/releases/sysvinit/insserv-([0-9\.]+(?:-beta[0-9]?)?)@ARCHIVE_EXT@ debian uupdate
