=== debian/changelog ===
insserv (1.24.0-1) unstable; urgency=medium

  * New upstream version 1.24.0
  * Update upstream URLs after move to GitHub.
  * Remove old savannah upstream source signing key.
  * d/README.Debian:
    - Update LSB reference URL.
    - Remove obsolete information.
  * Remove cruft d/po/*.
  * d/changelog: lintian-brush cleanup long lines and days of the week.

 -- Mark Hindley <leepen@debian.org>  Tue, 22 Feb 2022 10:31:29 +0000
