=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  debhelper-compat (= 12),
  po-debconf,
 Standards-Version: 4.6.0
-Homepage: http://savannah.nongnu.org/projects/sysvinit
+Homepage: https://github.com/slicer69/insserv
 Vcs-Browser: https://salsa.debian.org/debian/insserv
 Vcs-Git: https://salsa.debian.org/debian/insserv.git
