## insserv 1.26.0

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 DEBUG	 =	
 #ISSUSE	 =	-DSUSE
 DESTDIR	 =
-VERSION	 =	1.24.0
+VERSION	 =	1.26.0
 TARBALL  =	$(PACKAGE)-$(VERSION).tar.xz
 DATE	 =	$(shell date +'%d%b%y' | tr '[:lower:]' '[:upper:]')
 PREFIX   ?=	/usr
@@ -51,7 +51,7 @@
 ifdef WANT_SYSTEMD
 	   LIBS += $(shell pkg-config --libs dbus-1)
 endif
-	     CC ?= gcc
+	     CC ?= clang
 	     RM = rm -f
 	  MKDIR = mkdir -p
 	  RMDIR = rm -rf
