=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
https://github.com/slicer69/insserv/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
