## insserv 1.27.0

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 DEBUG	 =	
 #ISSUSE	 =	-DSUSE
 DESTDIR	 =
-VERSION	 =	1.26.0
+VERSION	 =	1.27.0
 TARBALL  =	$(PACKAGE)-$(VERSION).tar.xz
 DATE	 =	$(shell date +'%d%b%y' | tr '[:lower:]' '[:upper:]')
 PREFIX   ?=	/usr
