=== debian/changelog ===
insserv (1.27.0-1) unstable; urgency=medium

  * New upstream version 1.27.0
    - includes fix for FTBFS with gcc-15 (Closes: #1096840)
  * d/control:
    - remove obsolete Suggests: bootchart2.
    - bump Standards Version (no changes).
  * debian/: update URLs following upstream migration to codeberg.
  * d/watch: simplify with uscan @@ predefines.
  * Refresh patches.

 -- Mark Hindley <leepen@debian.org>  Mon, 15 Sep 2025 17:47:27 +0100
