=== debian/control ===
--- 
+++ 
@@ -3,14 +3,13 @@
 Priority: optional
 Maintainer: Debian sysvinit maintainers <debian-init-diversity@chiark.greenend.org.uk>
 Uploaders:
- Petter Reinholdtsen <pere@debian.org>,
  Mark Hindley <leepen@debian.org>,
 Build-Depends:
  bash-completion,
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  po-debconf,
-Standards-Version: 4.6.0
-Homepage: https://github.com/slicer69/insserv
+Standards-Version: 4.7.2
+Homepage: https://codeberg.org/thejessesmith/insserv
 Vcs-Browser: https://salsa.debian.org/debian/insserv
 Vcs-Git: https://salsa.debian.org/debian/insserv.git
 
@@ -19,8 +18,6 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Suggests:
- bootchart2,
 Breaks:
  sysv-rc (<< 2.87dsf-3),
 Description: boot sequence organizer using LSB init.d script dependency information
