=== debian/tests/control ===
Tests: upstream
Restrictions: flaky
