=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
https://codeberg.org/thejessesmith/insserv/tags \
(?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
